Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

0
Avatar

Davide Corio

--Davide Corio--
1562
| 5 2 7
Luserna San Giovanni, Italia
--Davide Corio--

Programma qualsiasi cosa abbia a portata di mano dal 1997, ma non gli piace farsi chiamare "sviluppatore": il mondo del software è più interessante quando osservato con gli occhi di chi usa gli strumenti IT. Da più di 12 anni si occupa di consulenza legata esclusivamente ad Odoo, un framework basato su Python per la costruzione di soluzioni ERP.

Davide Corio
Il 05/10/22, 07:20

Ciao,

noi stiamo lavorando al porting delle modifiche fatte per la v12.

A breve faremo una PR, ma se vuoi fare qualche test in anteprima, qui trovi i moduli modificati:

https://github.com/aion-tech/l10n-italy/tree/14.0-rc-supplier-invoice


in particolare:

l10n_it_fatturapa_in

l10n_it_fatturapa_in_rc

l10n_it_fatturapa_out_rc


La tua risposta

0
Vincenzo
Il 10/10/22, 14:39

Ciao Davide,

ho provato a fare il test aggiornando i tre moduli, ma mi compare questo errore quando provo ad esportare l'autofattura:

Odoo Server Error
Traceback (most recent call last):
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/odoo14/odoo/odoo/http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo14/odoo/odoo/http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo14/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo14/odoo/odoo/http.py", line 347, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo14/odoo/odoo/http.py", line 912, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo14/odoo/odoo/http.py", line 531, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo14/odoo/addons/web/controllers/main.py", line 1398, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "/opt/odoo14/odoo/addons/web/controllers/main.py", line 1386, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo14/odoo/odoo/api.py", line 399, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo14/odoo/odoo/api.py", line 386, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/opt/odoo14/odoo-custom-addons/oca/l10n-italy/l10n_it_fatturapa_out/wizard/wizard_export_fatturapa.py", line 161, in exportFatturaPA
    partner, invoice_ids, context=context_partner
  File "/opt/odoo14/odoo-custom-addons/oca/l10n-italy/l10n_it_fatturapa_out/wizard/wizard_export_fatturapa.py", line 138, in exportInvoiceXML
    invoice_ids.preventive_checks()
  File "/opt/odoo14/odoo-custom-addons/oca/l10n-italy/l10n_it_fatturapa_out_rc/models/account_move.py", line 76, in preventive_checks
    rc_suppliers = invoices._get_original_suppliers()
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo14/odoo/odoo/http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo14/odoo/odoo/http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
AttributeError: 'account.move' object has no attribute '_get_original_suppliers'

Cosa potrebbe essere?

La tua risposta

0
Avatar

Davide Corio

--Davide Corio--
1562
| 5 2 7
Luserna San Giovanni, Italia
--Davide Corio--

Programma qualsiasi cosa abbia a portata di mano dal 1997, ma non gli piace farsi chiamare "sviluppatore": il mondo del software è più interessante quando osservato con gli occhi di chi usa gli strumenti IT. Da più di 12 anni si occupa di consulenza legata esclusivamente ad Odoo, un framework basato su Python per la costruzione di soluzioni ERP.

Davide Corio
Il 12/10/22, 14:46

Ciao,

avevo omesso anche l10n_it_reverse_charge dall'elenco dei moduli da aggiornare.

prova a prendere anche questo


La tua risposta


0
Simone Sanfilippo
Il 10/10/22, 11:59

Ciao Davide, scusa il ritardo. Test condotto con successo.

Grazie.


La tua risposta


0
Simone Sanfilippo
Il 05/10/22, 08:26

Ciao Davide, si posso tranquillamente usare il mio ambiente di test.

Devo disinstallare i moduli che sono nel repository OCA oppure questi aggiornano i file?


La tua risposta

0
Avatar

Davide Corio

--Davide Corio--
1562
| 5 2 7
Luserna San Giovanni, Italia
--Davide Corio--

Programma qualsiasi cosa abbia a portata di mano dal 1997, ma non gli piace farsi chiamare "sviluppatore": il mondo del software è più interessante quando osservato con gli occhi di chi usa gli strumenti IT. Da più di 12 anni si occupa di consulenza legata esclusivamente ad Odoo, un framework basato su Python per la costruzione di soluzioni ERP.

Davide Corio
Il 05/10/22, 08:39

Devi sostituirli oppure metterli in una cartella che abbia precedenza nel addons_path


La tua risposta

0
Simone Sanfilippo
Il 05/10/22, 08:56

Ok, nel mio test posso permettermi di sostituirli :-)

Appena posso li testo e ti faccio sapere.


La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

77 follower

Statistiche

Richiesta del: 23/09/22, 19:39
Vista: 165 volte
Ultimo aggiornamento: 10/10/22, 11:59